/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package pe.siso.horario.DAO;

import java.util.ArrayList;
import pe.siso.horario.Beans.Grado;

/**
 *
 * @author fcelestino
 */
public interface GradoDAO {
    public ArrayList<Grado> listarGrado(int inicio, int cantidad) throws Exception;
    public ArrayList<Grado> listarGrado(String codigoCentro,String codigoNivel,String codigoTipoGrado) throws Exception;
    public void registrarGrado(String nombreGrado,String codigoCentro,String codigoNivel,String codigoTipoGrado) throws Exception;
    public void cambiarEstado(String dato, String codigoGrado) throws Exception;
    public ArrayList<Grado> cargarGrado(String codigoCentro,String codigoNivel,String codigoTipoGrado) throws Exception;
    public ArrayList<Grado> cargarGrado(String codigoSede,String codigoTipoCentro,String codigoCentro,String codigoNivel,String codigoTipoGrado) throws Exception;
    public void actualizar(String dato, String codigoGrado) throws Exception;
    public Grado nombreGrado(String codGrado)throws Exception;
    public int cantidadGrado()throws Exception;
    public int cantidadGrado(String codigo)throws Exception;
}
